# $Revision: 1.37 $, $Date: 2011/03/06 08:43:23 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	IxHash
Summary:	Tie::IxHash - ordered associative arrays for Perl
Summary(pl.UTF-8):	Tie::IxHash - uporządkowane tablice asocjacyjne dla Perla
Name:		perl-Tie-IxHash
Version:	1.22
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/C/CH/CHORNY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aae2e62df7e016fd3e8fdaaea71b0b41
URL:		http://search.cpan.org/dist/Tie-IxHash/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module implements Perl hashes that preserve the order in
which the hash elements were added. The order is not affected when
values corresponding to existing keys in the IxHash are changed. The
elements can also be set to any arbitrary supplied order. The familiar
perl array operations can also be performed on the IxHash.

%description -l pl.UTF-8
Ten moduł Perla jest implementacją haszy, które zachowują kolejność, w
jakiej elementy były dodawane. Kolejność nie ulega zmianie kiedy
modyfikowane są wartości odpowiadające istniejącym kluczom w obiekcie
IxHash. Elementy mogą być także ustawiane w zadanej kolejności. Znane
operacje na tablicach perlowych mogą być także wykonywane na typie
IxHash.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Tie/IxHash.pm
%{_mandir}/man3/Tie::IxHash.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tie-IxHash.spec,v $
Revision 1.37  2011/03/06 08:43:23  qboosh
- updated to 1.22

Revision 1.36  2008/07/27 22:27:18  arekm
- release 12

Revision 1.35  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.33  2004/11/03 22:30:51  paladine
- formatting

Revision 1.32  2004/05/06 18:21:22  ankry
- fixed perl-devel BR

Revision 1.31  2004/05/03 21:33:34  ankry
- tests added, licence fix, cosmetics

Revision 1.30  2003/12/25 22:33:29  migo
- fixed License

Revision 1.29  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:23  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:01:08  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:25:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 21:35:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:39:00  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/08/16 21:44:23  qboosh
- pl description, release++

Revision 1.20  2002/08/11 19:36:50  radek
- release up

Revision 1.19  2002/08/11 19:32:53  radek
- (automatic) provided informative description

Revision 1.18  2002/07/10 09:02:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:35:11  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:21:14  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:36:19  depesz
adapterized

Revision 1.12  2002/01/18 02:14:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:25  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:17:24  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 21:41:46  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:01  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:47  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
